# module Sass::Selector

A namespace for nodes in the parse tree for selectors.

{CommaSequence} is the toplevel selector, representing a comma-separated sequence of {Sequence}s, such as `foo bar, baz bang`. {Sequence} is the next level, representing {SimpleSequence}s separated by combinators (e.g. descendant or child), such as `foo bar` or `foo > bar baz`. {SimpleSequence} is a sequence of selectors that all apply to a single element, such as `foo.bar`. Finally, {Simple} is the superclass of the simplest selectors, such as `.foo` or `#bar`.

### Constants

SPECIFICITY_BASE

  The base used for calculating selector specificity. The spec says this should be “sufficiently high”; it's extremely unlikely that any single selector sequence will contain 1,000 simple selectors.